import { FormCheckProps } from 'react-bootstrap';
import React from 'react';
export type CheckProps = React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> & FormCheckProps & {
    label: string;
    validMessage?: string[];
    invalidMessage?: string[];
    wrapperClassName?: string;
};
export default function Check({ validMessage, invalidMessage, wrapperClassName, ...props }: CheckProps): JSX.Element;
