import { FormControlProps } from 'react-bootstrap';
import React from 'react';
export type ControlProps = React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> & FormControlProps & {
    label: string;
    validMessage?: string[];
    invalidMessage?: string[];
    beforeText?: React.ReactNode[] | React.ReactNode;
    afterText?: React.ReactNode[] | React.ReactNode;
    wrapperClassName?: string;
    countShow?: boolean;
    autoResize?: boolean;
};
export default function Control({ label, validMessage, invalidMessage, beforeText, afterText, wrapperClassName, onChange, countShow, autoResize, ...props }: ControlProps): JSX.Element;
