import { FormSelectProps } from 'react-bootstrap';
import React from 'react';
export type SelectProps = FormSelectProps & React.PropsWithChildren & {
    label: string;
    validMessage?: string[];
    invalidMessage?: string[];
    beforeText?: React.ReactNode[] | React.ReactNode;
    afterText?: React.ReactNode[] | React.ReactNode;
    wrapperClassName?: string;
    pleaseOption?: boolean;
    pleaseOptionMessage?: string;
};
export default function Select({ label, validMessage, invalidMessage, beforeText, afterText, wrapperClassName, pleaseOption, pleaseOptionMessage, ...props }: SelectProps): JSX.Element;
