/// <reference types="react" />
export type StatusResource = {
    title?: React.ReactNode;
    body: React.ReactNode;
};
export type StatusContextType = {
    Flush: null | StatusResource;
    getFlush: () => null | StatusResource;
    changeFlush: (status: null | StatusResource) => void;
    removeFlush: () => void;
};
export declare const StatusContext: import("react").Context<StatusContextType>;
export declare function useStatus(): StatusContextType;
